List the event sessions a user is signed up to

Prev Next
Get
/events/user/ref/{ref}

Returns the event sessions a user is registered for, looked up by their external reference rather than their Thrive user id.

Security
HTTP
Type basic

HTTP Basic authentication using your Tenant ID and API secret.

  • Username is the Tenant ID (i.e. eu-west-2_AbcdEfghI)
  • Password is the API secret you would have received.

You can also authenticate using OAuth 2.0 client credentials (oauth2 security scheme) instead of Basic auth.

OAuth

OAuth 2.0 client credentials authentication.

Use the following token endpoints (replace :tenantId with your Tenant ID):

  • Public API access tokens

    • Staging: https://public.api.learnstaging.link/oauth2/token/:tenantId
    • Production: https://public.api.learn.link/oauth2/token/:tenantId
    • Staging MEA: https://public.api.meastaging.learn.tech/oauth2/token/:tenantId
    • Production MEA: https://public.api.mea.learn.tech/oauth2/token/:tenantId
  • Webhooks access tokens

    • Staging: https://user.api.learnstaging.link/oauth2/token/:tenantId
    • Production: https://user.api.learn.link/oauth2/token/:tenantId
    • Staging MEA: https://user.api.meastaging.learn.tech/oauth2/token/:tenantId
    • Production MEA: https://user.api.mea.learn.tech/oauth2/token/:tenantId

All access tokens must be sent using the Authorization: Bearer <access_token> header.

Scopes

For API access (non-webhooks), the following scopes are available:

  • api/all – Full read and write access to the API.
  • api/read – Read-only access to the API.
  • api/write – Write access to the API.

For webhooks, the following scopes are available:

  • api/webhooks – Access to webhook functionality.
  • api/all – Full read and write access to the API, including webhooks.

Tokens must include appropriate scopes for the endpoints you wish to call.

FlowClient Credentials
Token URLhttps://public.api.learn.link/oauth2/token/:tenantId
Path parameters
ref
stringRequired

The user's external reference

Max length1000
ExampleNANDOCA_12345
Query parameters
status
string

Filter by the user's attendance status for the session

Valid values[ "registered", "attended", "notAttended", "cancelled" ]
Exampleregistered
date
string

Return sessions in the past or the future

Valid values[ "PAST", "FUTURE" ]
Default"FUTURE"
page
integer
Minimum1.0
Default1
perPage
integer

Number of records per page

Minimum1.0
Maximum50.0
Default50
Responses
200

A paginated list of the user's event sessions

Expand All
object
pagination
object (Pagination)

Details of the pagination

totalResults
integer

Total number of results matching the query

Example48
totalPages
integer

Total number of pages available

Example3
page
integer

Current page number

Minimum1.0
Default1
Example1
perPage
integer

Number of results per page

Minimum1.0
Maximum1000.0
Default100
Example20
results
Array of object (UserEvent)
object
eventId
string
Example64a1f2b3c4d5e6f7a8b9c0d1
sessionId
string
Example64a1f2b3c4d5e6f7a8b9c0d5
eventName
string | null
ExampleLeadership Workshop Q1
location
string | null
ExampleMeeting Room 3, 123 Example St
startDateTime
string (date-time)
Example2024-07-01T09:00:00.000Z
endDateTime
string (date-time)
Example2024-07-01T11:00:00.000Z
timezone
string | null
ExampleEurope/London
status
string
Valid values[ "registered", "attended", "notAttended", "cancelled" ]
Exampleregistered
userId
string
Example64a1f2b3c4d5e6f7a8b9c0d6
ref
string

Echoed from the request path

ExampleNANDOCA_12345
isVirtual
boolean

True for a webinar, or when a meeting provider URL is set

Examplefalse
meetingUrl
string | null

The third-party provider URL when one is integrated, otherwise the webinar join URL, which the platform stores in location.

Exampleopenapi-json-null-sentinel-value-2BF93600-0FE4-4250-987A-E5DDB203E464
400

Invalid status or date value

An envelope containing information about the event errors

id
string
ExampleUNIQUEREFERENCE111000
timestamp
string
Example2020-03-09T22:18:26.625Z
eventType
string
Valid values[ "user_joined", "user_updated", "user_suspended" ]
401

Unauthorized

object

Unauthorized

status
number
Example401
error
string
ExampleUnauthorized
message
string
404

Not Found

object

Not found

status
number
Example404
error
string
ExampleNot Found
message
string #deprecatedtemplate# #additional-property-template#
OneOf
string
string
object
object
422

Unprocessable Content

object

Unprocessable Content

status
number
Example422
error
string
ExampleUnprocessable Content
message
string #deprecatedtemplate# #additional-property-template#
OneOf
string
string
object
object